%define modname	Convert-ASN1
%define name	perl-%{modname}
%define version	0.08
%define release	1mdk

Summary:	ASN.1 Encode/Decode library for Perl
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Distributable
Group:		Development/Perl
Source0:	%{modname}-%{version}.tar.bz2
URL:		http://cpan.valueclick.com/authors/id/GBARR/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	perl >= 5.004
BuildRequires:	perl, perl-devel

%description
Convert::ASN1 will parse ASN.1 descriptions and will encode from and
decode to perl data structures using a hierarchy of references.

%prep
%setup -q -n %{modname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
%make
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX="$RPM_BUILD_ROOT/%{_prefix}"

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#
%doc README ChangeLog
#
%dir %_libdir/perl5/site_perl/5.*/i?86-linux/auto/Convert/ASN1
#
%dir %_libdir/perl5/site_perl/5.*/Convert
%_libdir/perl5/site_perl/5.*/Convert/ASN1.pod
%_libdir/perl5/site_perl/5.*/Convert/ASN1.pm
#
%dir %_libdir/perl5/site_perl/5.*/Convert/ASN1
%_libdir/perl5/site_perl/5.*/Convert/ASN1/_decode.pm
%_libdir/perl5/site_perl/5.*/Convert/ASN1/_encode.pm
%_libdir/perl5/site_perl/5.*/Convert/ASN1/Debug.pm
%_libdir/perl5/site_perl/5.*/Convert/ASN1/parser.pm
%_libdir/perl5/site_perl/5.*/Convert/ASN1/IO.pm
#
%_libdir/perl5/man/man3/Convert::ASN1.3*

%changelog
* Thu Apr 12 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.08-1mdk
- First Mandrake package
